#
# Conditional build:
%bcond_without	doc	# manual and documentation

Summary:	Convert reStructured Text to PDF via ReportLab
Summary(pl.UTF-8):	Konwersja formatu reStructured Text do PDF przy użyciu ReportLaba
Name:		python3-rst2pdf
Version:	0.103.1
Release:	2
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/rst2pdf/
Source0:	https://files.pythonhosted.org/packages/source/r/rst2pdf/rst2pdf-%{version}.tar.gz
# Source0-md5:	e806058707cd622eccb97f15d4d71da9
URL:		https://rst2pdf.org/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools >= 1:64
BuildRequires:	python3-setuptools_scm >= 8
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
BuildRequires:	sed >= 4.0
%if %{with doc}
BuildRequires:	docutils
BuildRequires:	python3-PyYAML
BuildRequires:	python3-docutils
BuildRequires:	python3-importlib_metadata
BuildRequires:	python3-jinja2
BuildRequires:	python3-packaging
BuildRequires:	python3-pygments
BuildRequires:	python3-reportlab
# gen_docs.sh calls rst2pdf from $PATH
BuildRequires:	python3-rst2pdf >= 0.99
BuildRequires:	python3-smartypants
%endif
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The usual way of creating PDF from reStructuredText is by going
through LaTeX. This tool provides an alternative by producing PDF
directly using the ReportLab library.

%description -l pl.UTF-8
Najczęstszym sposobem tworzenia dokumentów PDF z formatu
reStructuredText jest przejście przez LaTeX. To narzędzie udostępnia
alternatywną metodę, tworząc PDF bezpośrednio przy użyciu biblioteki
ReportLab.

%package doc
Summary:	Manual for rst2pdf library
Summary(pl.UTF-8):	Podręcznik do biblioteki rst2pdf
Group:		Documentation

%description doc
Manual for rst2pdf library.

%description doc -l pl.UTF-8
Podręcznik do biblioteki rst2pdf.

%prep
%setup -q -n rst2pdf-%{version}

%{__sed} -i -e '2iset -eu' -e 's,python ,%{__python3} ,' doc/gen_docs.sh

%build
%py3_build_pyproject

%if %{with doc}
cd doc
./gen_docs.sh
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__mv} $RPM_BUILD_ROOT%{_bindir}/rst2pdf{,-3}
ln -sf rst2pdf-3 $RPM_BUILD_ROOT%{_bindir}/rst2pdf

%if %{with doc}
install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p doc/output/rst2pdf.1 $RPM_BUILD_ROOT%{_mandir}/man1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst Contributors.txt LICENSE.txt README.rst
%attr(755,root,root) %{_bindir}/rst2pdf
%attr(755,root,root) %{_bindir}/rst2pdf-3
%{py3_sitescriptdir}/rst2pdf
%{py3_sitescriptdir}/rst2pdf-%{version}.dist-info
%if %{with doc}
%{_mandir}/man1/rst2pdf.1*
%endif

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc doc/output/html/{assets,manual.html} doc/output/pdf/manual.pdf
%endif
%changelog
* Thu May 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-rst2pdf.git;a=log;h=master

* Thu May 22 2025 Jan Palus <atler@pld-linux.org> e420f03
- Release 2 (by relup.sh)

* Thu May 22 2025 Jan Palus <atler@pld-linux.org> 47a9bb9
- macros for %py3_*_pyproject, BR: python3-setuptools python3-setuptools_scm

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 87357ca
- Up to 0.103.1

* Mon Mar 17 2025 Jakub Bogusz <qboosh@pld-linux.org> 7b092c5
- updated reportlab module name

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> da42879
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> a4228c1
- python 3.13 rebuild

* Tue Jun 28 2022 Jakub Bogusz <qboosh@pld-linux.org> bd0934b
- package more basic doc files; stop on gen_docs.sh error

* Tue Jun 28 2022 Jakub Bogusz <qboosh@pld-linux.org> e457bd8
- docs need rst2pdf 0.99; release 2

* Tue Jun 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 3c1827a
- updated to 0.99

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 35aa7f5
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 7a3b2ee
- rebuild with python 3.10

* Mon Mar 01 2021 Jan Rękorajski <baggins@pld-linux.org> 2a7af4a
- release 3 (by relup.sh)

* Mon Mar 01 2021 Jan Rękorajski <baggins@pld-linux.org> 0b77e87
- release 2 (by relup.sh)

* Sun Dec 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 818060c
- new, based on python-rst2pdf.spec; versions 0.98+ are python3 only

